OracleListener (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.oracle.OracleListener interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.oracle
Interface OracleListener

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface OracleListener

extends LogicalElement

Represents an Oracle listener process

Naming Rules:
  0="parent,name" 1="managedSystemName"
Persistable:
  true
Table Name:
  ORCLLSTN
Display Name:
  parent,name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`BindAddress[]` | `getBindAddresses()`
`OracleInstance[]` | `getInstances()`
`java.lang.String` | `getName()`
`OracleServer` | `getParent()`
`boolean` | `hasBindAddresses()`
`boolean` | `hasInstances()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`void` | `setBindAddresses(BindAddress[] bindAddresses)`
`void` | `setInstances(OracleInstance[] instances)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(OracleServer parent)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    OracleServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(OracleServer parent)

### hasParent

    boolean hasParent()

### getBindAddresses

    BindAddress[] getBindAddresses()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setBindAddresses

    void setBindAddresses(BindAddress[] bindAddresses)

### hasBindAddresses

    boolean hasBindAddresses()

### getInstances

    OracleInstance[] getInstances()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="true"

### setInstances

    void setInstances(OracleInstance[] instances)

### hasInstances

    boolean hasInstances()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD